﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Matrix;
using Windows.UI.Xaml.Media.Imaging;

namespace MatriXSamples
{
    public class Contact : INotifyPropertyChanged
    {
        BitmapSource avatar;

        public Jid Id { get; set; }
        public string Name { get; set; }

        public BitmapSource Avatar 
        { 
            get { return avatar; }
            set 
            { 
                avatar = value;
                if (PropertyChanged == null) return;

                PropertyChanged(this, new PropertyChangedEventArgs("Avatar"));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
