﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Matrix.Xmpp.Client;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace MatriXSamples
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class Login : Page
    {
        XmppClient client;

        public Login()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {

        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {
            client = new XmppClient
            {

                Username = txtUsername.Text,

                Password = txtPwd.Password,

                XmppDomain = "gmail.com",

                Hostname = "talk.google.com"
            };

            client.Dispatcher = this.Dispatcher;
            client.OnLogin += client_OnLogin;
            
            client.Open();
        }

        private void client_OnLogin(object sender, Matrix.EventArgs e)
        {
            this.Frame.Navigate(typeof(MainPage), client);
        }
    }
}
